%define kdeprefix /usr
%define version 0.8.0
%define kderelease 1

%define qtver  qt >= 1.42

%define kdename  WebMaker
Name: %{kdename}
Summary: WebMaker is a GUI HTML editor
Version: %{version}
Release: %{kderelease}
Serial: 1
Source: http://www.services.ru/linux/webmaker/%{kdename}-%{version}.tar.gz
URL: http://www.services.ru/linux/webmaker/
License: GPL
Group: Applications/Editors
Buildroot: /var/tmp/%{kdename}-buildroot
Requires: %{qtver} kdesupport
Prefix: %{kdeprefix}

%description
WebMaker is a GUI HTML Editor for Unix. Main features include a nice
GUI interface, menus, toolbar and dialogs for tag editing, multiple
windows support, HTML 4.0 support, color syntax highlighting, preview
with external browser, ability to filter editor content through any
external program that supports stdin/stdout and KDE integration.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
export KDEDIR=%{kdeprefix}
./configure \
	--prefix=%{kdeprefix} \
	--exec_prefix=%{kdeprefix} \
	--with-install-root=$RPM_BUILD_ROOT \
	--disable-path-check
make CXXFLAGS="$RPM_OPT_FLAGS -DNO_DEBUG"

%install
export KDEDIR=%{kdeprefix}
make install-strip prefix=$RPM_BUILD_ROOT%{kdeprefix} \
	exec_prefix=$RPM_BUILD_ROOT%{kdeprefix}

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
        -e '/\/config\//s|^|%config|' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
        $RPM_BUILD_DIR/file.list.%{kdename}

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{kdename}

%files -f ../file.list.%{kdename}

%changelog
* Sat May 01 1999 Preston Brown <pbrown@redhat.com>
- initial RPM for PowerTools 6.0







